/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 * @author   Pedro Pelaez <pedro@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */
////////////////
// Variables //
////////////////

// Blue
$color-blue-01: #096396;
$color-blue-02: #287FB8;
$color-blue-03: #4bacc6;
$color-blue-04: #007bff;
$color-blue-05: #17a2b8;
$color-blue-06: #17b8b3;
$color-blue-07: #0000ff;

// Red
$color-red-01: #A10202;
$color-red-02: #C90202;
$color-red-03: #e0b5b5;
$color-red-04: #dc3545;
$color-red-05: #de2a3b;
$color-red-06: #e01c2f;
$color-red-07: #ff0014;
$color-red-08: #ff0000;
$color-red-09: #ff8686;

// Orange
$color-orange-01: #F0952D;
$color-orange-02: #F6AA4E;
$color-orange-03: #eab000;
$color-orange-04: #7c5b00;
$color-orange-05: #ffa28b;

// Yellow
$color-yellow-01: #f0bc2d;
$color-yellow-02: #f6eb4e;

// Green
$color-green-01: #258803;
$color-green-02: #37A710;
$color-green-03: #c4f384;
$color-green-04: #76923c;
$color-green-05: #28a745;
$color-green-06: #339900;

//Purple
$color-purple-01: #c9a1e3;
$color-purple-02: #512783;
$color-purple-03: #6b5c8a;

// Grey
$color-grey-01: #C4C4C4;
$color-grey-02: #E5E5E5;
$color-grey-03: #F8F4F4;
$color-grey-04: #999999;
$color-grey-05: #ccc;
$color-grey-06: #808080;
$color-grey-07: #e2e2e2;
$color-grey-08: #d3d3d3;
$color-grey-09: #afafaf;
$color-grey-10: #7d7d7d;

// White
$color-white-01: #fff;

// Black
$color-black-01: #000;

// Transparencies.
// Blue
$transparency-blue-01: rgba(40, 127, 184, 0.2);
$transparency-blue-02: rgba(40, 127, 184, 0.1);
// Red
$transparency-red-01: rgba(201, 2, 2, 0.2);
$transparency-red-02: rgba(201, 2, 2, 0.1);
$transparency-red-03: rgba(255, 0, 0, 0.6);
// Orange
$transparency-orange-01: rgba(246, 170, 78, 0.2);
$transparency-orange-02: rgba(246, 170, 78, 0.1);
// Green
$transparency-green-01: rgba(55, 167, 16, 0.2);
$transparency-green-02: rgba(55, 167, 16, 0.1);
$transparency-green-03: rgba(0, 255, 0, 0.6);
// Black
$transparency-black-01: rgba(0, 0, 0, 0.6);
$transparency-black-02: rgba(0, 0, 0, .05);
$transparency-black-03: rgba(0, 0, 0, .4);
$transparency-black-04: rgba(0, 0, 0, .1);
$transparency-black-05: rgba(0, 0, 0, .2);
$transparency-black-06: rgba(0, 0, 0, .3);
$transparency-black-07: rgba(0, 0, 0, .9);
$transparency-black-08: hsla(0, 0%, 4%, 0.29);
// Gray
$transparency-grey-01: rgba(229, 229, 229, 0.48);
$transparency-grey-02: rgba(120, 120, 120, 0.902);
$transparency-grey-03: rgba(225, 225, 225, 0.8);
$transparency-grey-04: rgba(220, 220, 220, 0.902);

// Max width.
$max: 1085px;

// Transition duration.
$duration: 250ms;

// Image path
$image_base_path: '../images/';

// Font family
$base-font-family: 'Roboto', sans-serif;

// Font size
$base-font-size: 16px;
$base-line-height: 1.2;

// Titles
%h1, %h2, %h3, %h4, %h5, %h6 {
  font-weight: 700;
  line-height: $base-line-height;
}

%h1 {
  font-size: 28px;
  font-weight: 900;
}

%h2 {
  font-size: 24px;
}

%h3 {
  font-size: 22px;
}

%h4 {
  font-size: 20px;
}

%h5 {
  font-size: 18px;
}

%h6 {
  font-size: 16px;
}

html,
body {
  color: black;
  font-size: $base-font-size;
  font-family: $base-font-family;
  padding: 0;
  margin: 0;

  * {
    box-sizing: border-box;
  }

  a {
    color: $color-blue-01;
    text-decoration: none;

    &:hover, &:focus {
      color: $color-blue-02;
    }
  }

  h1, h2, h3, h4, h5, h6 {
    color: black;
  }

  h1 {
    @extend %h1;
  }

  h2 {
    @extend %h2;
  }

  h3 {
    @extend %h3;
  }

  h4 {
    @extend %h4;
  }

  h5 {
    @extend %h5;
  }

  h6 {
    @extend %h6;
  }

  .only-mobile {
    @include desktop {
      display: none;
    }
  }

  .only-desktop {
    display: none;
    @include desktop {
      display: unset;
    }
  }

  [hidden] {
    display: none;
  }

  .MuiAppBar-colorPrimary {
    color: black;

    * {
      color: black;
    }
  }

  .float-none {
    float: none;
  }

  .float-left {
    float: left;
  }

  .float-right {
    float: right;
  }

  .field-required {
    > label {
      &:after {
        content: '*';
        display: inline-block;
        color: $color-red-01;
        font-size: 14px;
        line-height: 1;
        padding-left: 4px;
      }
    }
  }

  /* todo Remove this classes and replace it with SASS */
  /* Form field checkboxes */
  .checkbox-with-level label {
    width: 100% !important;
  }

  /* Form field level 1 border */
  .fieldLevel1 .MuiSelect-root,
  .fieldLevel1 .MuiOutlinedInput-root {
    background-color: #dbeef3 !important;
    color: black !important;
  }

  .fieldLevel1 {
    .MuiOutlinedInput-notchedOutline {
      border: none;
    }
  }

  .fieldLevel1 input {
    color: black !important;
  }

  .fieldLevel1 {

    &.MuiAutocomplete-root label {
      background: transparent !important;
      padding: 0 !important;
    }

    label {
      background-color: #dbeef3 !important;
      padding: 5px !important;
      border-radius: 8px;
      color: black !important;
      width: max-content;
      font-size: small;
    }
  }

  .fieldLevel1 label .MuiInputLabel-animated {
    font-size: small;
  }

  .fieldLevel1 .fieldLevel1 {
    background-color: transparent;
  }

  /* Form field level 2 border */
  .fieldLevel2 .MuiSelect-root,
  .fieldLevel2 .MuiOutlinedInput-root {
    background-color: #d7e3bc !important;
    color: black !important;
  }

  .fieldLevel2 .MuiOutlinedInput-notchedOutline {
    border-color: darkseagreen !important;
  }

  .fieldLevel2 input {
    color: black !important;
  }

  .fieldLevel2 label {
    background-color: #d7e3bc !important;
    padding: 5px !important;
    border-radius: 8px;
    color: black !important;
    width: max-content;
    font-size: small;
  }

  .fieldLevel2 label .MuiInputLabel-animated {
    font-size: small;
  }

  /* Form field level 3 border */
  .fieldLevel3 .MuiSelect-root,
  .fieldLevel3 .MuiOutlinedInput-root {
    background-color: #76923c !important;
    color: white !important;
  }

  .fieldLevel3 .MuiOutlinedInput-notchedOutline {
    border-color: green !important;
    color: white !important;
  }

  .fieldLevel3 input {
    color: white !important;
  }

  .fieldLevel3 select {
    color: white !important;
  }

  .fieldLevel3 label {
    background-color: #76923c !important;
    padding: 5px !important;
    border-radius: 8px;
    color: white !important;
    width: max-content;
    font-size: small;
  }

  .fieldLevel3 label .MuiInputLabel-animated {
    font-size: small;
  }

  .fieldLevel3 .underlined-input input {
    border-bottom-style: solid;
    border-bottom-width: thin;
    border-bottom-color: white;
  }

  /* Form field SDG border */
  .fieldSdg .MuiSelect-root,
  .fieldSdg .MuiOutlinedInput-root {
    background-color: #ccc1d9 !important;
    color: black !important;
  }

  .fieldSdg .MuiOutlinedInput-notchedOutline {
    border: none;
    color: black !important;
  }

  .fieldSdg input {
    color: black !important;
  }

  .fieldSdg label {
    background-color: #ccc1d9 !important;
    padding: 5px !important;
    border-radius: 8px;
    color: black !important;
    width: max-content;
    font-size: small;
  }

  /* Form groups */
  .field-block-wrapper h4 {
    border-bottom-color: $color-blue-03;
    border-bottom-style: solid;
    border-bottom-width: thin;
  }

  /* Form field group level 1 */
  .groupLevel1 .title-index {
    background-color: $color-blue-03 !important;
    padding-top: 8px;
    padding-left: 8px;
    padding-right: 8px;
    color: white;
    font-size: x-large;
  }

  .groupLevel1 .title-label {
    color: $color-blue-03;
    font-size: larger;
  }

  /* Subform record */
  .field-block-wrapper .groupSubform {
    border-radius: 12px;
    border: 1px solid $color-blue-03;
    padding: 15px;
    margin-bottom: 15px;
  }

  /* Generic form style */
  .underlined-input select,
  .underlined-input input {
    border-bottom-style: solid;
    border-bottom-width: thin;
    border-bottom-color: black;
  }

  .markdown:first-letter {
    text-transform: uppercase;
  }

  .visibility-tablet {
    display: none;

    @include tablet {
      display: unset;
    }
  }

  table {
    width: 100%;
  }
}